<?php


// Motrar todos los errores de PHP
ini_set('error_reporting', E_ALL);
session_start();

require('db.php');
$contador = 1;
$host  = $_SERVER['HTTP_HOST'];
$inputFileName = __DIR__ .'/upload/'.$_SESSION['filename'];
require_once 'PHPExcel/Classes/PHPExcel/IOFactory.php';
$spreadsheet = PHPExcel_IOFactory::load($inputFileName);

    //$spreadsheet = IOFactory::load($inputFileName);
$ver = 1;
$cellValue = $spreadsheet->getActiveSheet()->getCellByColumnAndRow(0, $ver)->getValue();
while($cellValue!=""){
	$data=array();
	for($hor=0;$hor<84;$hor++){
		$val = $spreadsheet->getActiveSheet()->getCellByColumnAndRow($hor,$ver)->getValue();
		array_push($data, $val);
		//echo $data[$i];		
	}
	$sql_delete = " DELETE FROM `diario_piloto` WHERE `Codigo_Piloto` =  '$data[0]' AND `Fecha` =  DATE_FORMAT(STR_TO_DATE('$data[1]', '%d/%m/%Y'), '%Y-%m-%d') AND `Llamadas_Recibidas_Estado_Abierto` =  '$data[2]' AND `Llamadas_Recibidas_Estado_Bloqueado` =  '$data[3]' AND `Llamadas_Recibidas_Estado_Desvio_General` =  '$data[4]' AND `Llamadas_Recibidas_Por_Transferencia` =  '$data[5]' AND `Llamadas_Recibidas_Ayuda_Mutua` =  '$data[6]' AND `Llamadas_Maximas_Simultaneas` =  '$data[7]' AND `Desbordamiento_Durante_Retencion` =  '$data[8]' AND `Desbordamiento_Durante_Timbre` =  '$data[9]' AND `Llamadas_Atendidas_Sin_Espera` =  '$data[10]' AND `Llamadas_Atendidas_Con_Espera` =  '$data[11]' AND `Llamadas_Ayuda_Mutua` =  '$data[12]' AND `Llamadas_Redirigidas_Fuera_ACD` =  '$data[13]' AND `Llamadas_Disuadidas` =  '$data[14]' AND `Llamadas_Disuadidas_Despues_Intento_Ayuda` =  '$data[15]' AND `Llamadas_Procesadas_GT_Tipo_Guia` =  '$data[16]' AND `Llamadas_Enviadas_GT_Remoto` =  '$data[17]' AND `Llamadas_Rechazadas_Por_Falta_Recursos` =  '$data[18]' AND `Llamadas_Atendidas` =  '$data[19]' AND `Llamadas_Atendidas_Segun_GS` =  '$data[20]' AND `Llamadas_Atendidas_Liberadas_Antes_Umbral` =  '$data[21]' AND `Sin_Codigo_Transaccion` =  '$data[22]' AND `Con_Codigo_Transaccion` =  '$data[23]' AND `Redistribucion_ACD` =  '$data[24]' AND `St_Piloto_Llamadas_Atendidas_Antes_5_Segundos` =  '$data[25]' AND `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_5_Segundos` =  '$data[26]' AND `St_Piloto_Llamadas_Atendidas_Antes_15_Segundos` =  '$data[27]' AND `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_15_Segundos` =  '$data[28]' AND `St_Piloto_Llamadas_Atendidas_Antes_30_Segundos` =  '$data[29]' AND `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_30_Segundos` =  '$data[30]' AND `St_Piloto_Llamadas_Atendidas_Antes_60_Segundos` =  '$data[31]' AND `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_60_Segundos` =  '$data[32]' AND `St_Piloto_Llamadas_Atendidas_Despues_60_Segundos` =  '$data[33]' AND `St_Piloto_Porcentaje_Llamadas_Atendidas_Despues_60_Segundos` =  '$data[34]' AND `Abandonos_Guia_Presentacion` =  '$data[35]' AND `Abandonos_1_Guia_Espera` =  '$data[36]' AND `Abandonos_2_Guia_Espera` =  '$data[37]' AND `Abandonos_3_Guia_Espera` =  '$data[38]' AND `Abandonos_4_Guia_Espera` =  '$data[39]' AND `Abandonos_5_Guia_Espera` =  '$data[40]' AND `Abandono_6_Guia_Espera` =  '$data[41]' AND `Abandonos_Timbre_Agente` =  '$data[42]' AND `Abandonos_Guia_Desvio_General` =  '$data[43]' AND `Abandonos_Guia_Bloqueo` =  '$data[44]' AND `Abandonos_Llamadas_Directas` =  '$data[45]' AND `Abandonos_Llamadas_Directas_Mientras_Espera_Agente` =  '$data[46]' AND `Total_Abandonos` =  '$data[47]' AND `St_Piloto_Abandonos_Antes_5_Segundos` =  '$data[48]' AND `St_Piloto_Porcentaje_Abandonos_Antes_5_Segundos` =  '$data[49]' AND `St_Piloto_Abandonos_Antes_15_Segundos` =  '$data[50]' AND `St_Piloto_Porcentaje_Abandonos_Antes_15_Segundos` =  '$data[51]' AND `St_Piloto_Abandonos_Antes_30_Segundos` =  '$data[52]' AND `St_Piloto_Porcentaje_Abandonos_Antes_30_Segundos` =  '$data[53]' AND `St_Piloto_Abandonos_Antes_60_Segundos` =  '$data[54]' AND `St_Piloto_Porcentaje_Abandonos_Antes_60_Segundos` =  '$data[55]' AND `St_Piloto_Abandonos_Despues_60_Segundos` =  '$data[56]' AND `St_Piloto_Porcentaje_Abandonos_Despues_60_Segundos` =  '$data[57]' AND `Tiempo_Total_Tratamiento_Llamada` =  '$data[58]' AND `Tiempo_Medio_Tratamiento_Llamada` =  '$data[59]' AND `Tiempo_Total_Escucha_Guia_Bienvenida` =  '$data[60]' AND `Tiempo_Medio_Escucha_Guia_Bienvenida` =  '$data[61]' AND `Tiempo_Total_Antes_Puesta_En_Cola` =  '$data[62]' AND `Tiempo_Total_Espera` =  '$data[63]' AND `Tiempo_Medio_Espera` =  '$data[64]' AND `Duracion_Total_Espera_Llamadas_Abandonadas` =  '$data[65]' AND `Duracion_Media_Espera_Llamadas_Abandonadas` =  '$data[66]' AND `Tiempo_Total_Timbre` =  '$data[67]' AND `Tiempo_Medio_Timbre` =  '$data[68]' AND `Tiempo_Total_Conversacion` =  '$data[69]' AND `Tiempo_Medio_Conversacion` =  '$data[70]' AND `Tiempo_Total_Llamadas_Consulta` =  '$data[71]' AND `Tiempo_Medio_Llamadas_Consulta` =  '$data[72]' AND `Tiempo_Total_Wrap_Up` =  '$data[73]' AND `Tiempo_Medio_Wrap_Up` =  '$data[74]' AND `Tiempo_Espera_Maxima` =  '$data[75]' AND `Llamadas_Contectadas_IVR_Mientras_Espera` =  '$data[76]' AND `Llamadas_Rechazadas_IVR` =  '$data[77]' AND `Tiempo_Total_Llamadas_Conectadas_IVR` =  '$data[78]' AND `Nivel_Atencion` =  '$data[79]' AND `Eficiencia` =  '$data[80]' AND `St_Piloto_Porcentaje_Servicio` =  '$data[81]' AND `St_Piloto_Porcentaje_Desvio_General` =  '$data[82]' AND `St_Piloto_Porcentaje_Bloqueado` =  '$data[83]'";

	$mysqli -> query($sql_delete);


	$sql_insert = " INSERT INTO `diario_piloto`(`Codigo_Piloto`, `Fecha`, `Llamadas_Recibidas_Estado_Abierto`, `Llamadas_Recibidas_Estado_Bloqueado`, `Llamadas_Recibidas_Estado_Desvio_General`, `Llamadas_Recibidas_Por_Transferencia`, `Llamadas_Recibidas_Ayuda_Mutua`, `Llamadas_Maximas_Simultaneas`, `Desbordamiento_Durante_Retencion`, `Desbordamiento_Durante_Timbre`, `Llamadas_Atendidas_Sin_Espera`, `Llamadas_Atendidas_Con_Espera`, `Llamadas_Ayuda_Mutua`, `Llamadas_Redirigidas_Fuera_ACD`, `Llamadas_Disuadidas`, `Llamadas_Disuadidas_Despues_Intento_Ayuda`, `Llamadas_Procesadas_GT_Tipo_Guia`, `Llamadas_Enviadas_GT_Remoto`, `Llamadas_Rechazadas_Por_Falta_Recursos`, `Llamadas_Atendidas`, `Llamadas_Atendidas_Segun_GS`, `Llamadas_Atendidas_Liberadas_Antes_Umbral`, `Sin_Codigo_Transaccion`, `Con_Codigo_Transaccion`, `Redistribucion_ACD`, `St_Piloto_Llamadas_Atendidas_Antes_5_Segundos`, `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_5_Segundos`, `St_Piloto_Llamadas_Atendidas_Antes_15_Segundos`, `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_15_Segundos`, `St_Piloto_Llamadas_Atendidas_Antes_30_Segundos`, `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_30_Segundos`, `St_Piloto_Llamadas_Atendidas_Antes_60_Segundos`, `St_Piloto_Porcentaje_Llamadas_Atendidas_Antes_60_Segundos`, `St_Piloto_Llamadas_Atendidas_Despues_60_Segundos`, `St_Piloto_Porcentaje_Llamadas_Atendidas_Despues_60_Segundos`, `Abandonos_Guia_Presentacion`, `Abandonos_1_Guia_Espera`, `Abandonos_2_Guia_Espera`, `Abandonos_3_Guia_Espera`, `Abandonos_4_Guia_Espera`, `Abandonos_5_Guia_Espera`, `Abandono_6_Guia_Espera`, `Abandonos_Timbre_Agente`, `Abandonos_Guia_Desvio_General`, `Abandonos_Guia_Bloqueo`, `Abandonos_Llamadas_Directas`, `Abandonos_Llamadas_Directas_Mientras_Espera_Agente`, `Total_Abandonos`, `St_Piloto_Abandonos_Antes_5_Segundos`, `St_Piloto_Porcentaje_Abandonos_Antes_5_Segundos`, `St_Piloto_Abandonos_Antes_15_Segundos`, `St_Piloto_Porcentaje_Abandonos_Antes_15_Segundos`, `St_Piloto_Abandonos_Antes_30_Segundos`, `St_Piloto_Porcentaje_Abandonos_Antes_30_Segundos`, `St_Piloto_Abandonos_Antes_60_Segundos`, `St_Piloto_Porcentaje_Abandonos_Antes_60_Segundos`, `St_Piloto_Abandonos_Despues_60_Segundos`, `St_Piloto_Porcentaje_Abandonos_Despues_60_Segundos`, `Tiempo_Total_Tratamiento_Llamada`, `Tiempo_Medio_Tratamiento_Llamada`, `Tiempo_Total_Escucha_Guia_Bienvenida`, `Tiempo_Medio_Escucha_Guia_Bienvenida`, `Tiempo_Total_Antes_Puesta_En_Cola`, `Tiempo_Total_Espera`, `Tiempo_Medio_Espera`, `Duracion_Total_Espera_Llamadas_Abandonadas`, `Duracion_Media_Espera_Llamadas_Abandonadas`, `Tiempo_Total_Timbre`, `Tiempo_Medio_Timbre`, `Tiempo_Total_Conversacion`, `Tiempo_Medio_Conversacion`, `Tiempo_Total_Llamadas_Consulta`, `Tiempo_Medio_Llamadas_Consulta`, `Tiempo_Total_Wrap_Up`, `Tiempo_Medio_Wrap_Up`, `Tiempo_Espera_Maxima`, `Llamadas_Contectadas_IVR_Mientras_Espera`, `Llamadas_Rechazadas_IVR`, `Tiempo_Total_Llamadas_Conectadas_IVR`, `Nivel_Atencion`, `Eficiencia`, `St_Piloto_Porcentaje_Servicio`, `St_Piloto_Porcentaje_Desvio_General`, `St_Piloto_Porcentaje_Bloqueado`) VALUES ('$data[0]',DATE_FORMAT(STR_TO_DATE('$data[1]', '%d/%m/%Y'), '%Y-%m-%d'),'$data[2]','$data[3]','$data[4]','$data[5]','$data[6]','$data[7]','$data[8]','$data[9]','$data[10]','$data[11]','$data[12]','$data[13]','$data[14]','$data[15]','$data[16]','$data[17]','$data[18]','$data[19]','$data[20]','$data[21]','$data[22]','$data[23]','$data[24]','$data[25]','$data[26]','$data[27]','$data[28]','$data[29]','$data[30]','$data[31]','$data[32]','$data[33]','$data[34]','$data[35]','$data[36]','$data[37]','$data[38]','$data[39]','$data[40]','$data[41]','$data[42]','$data[43]','$data[44]','$data[45]','$data[46]','$data[47]','$data[48]','$data[49]','$data[50]','$data[51]','$data[52]','$data[53]','$data[54]','$data[55]','$data[56]','$data[57]','$data[58]','$data[59]','$data[60]','$data[61]','$data[62]','$data[63]','$data[64]','$data[65]','$data[66]','$data[67]','$data[68]','$data[69]','$data[70]','$data[71]','$data[72]','$data[73]','$data[74]','$data[75]','$data[76]','$data[77]','$data[78]','$data[79]','$data[80]','$data[81]','$data[82]','$data[83]')";
	//echo $sql_insert;
	$mysqli -> query($sql_insert);
	unset($data);
	$ver++;
	$cellValue = $spreadsheet->getActiveSheet()->getCellByColumnAndRow(0,$ver )->getValue();	
	//ECHO $ver;
	//echo $cellValue;
}




unlink('upload/'.$_SESSION['filename']);
header('Location: pilotos.php');

?>